SIGNAL_DELIVERED(9)

NAME
signal_delivered -

SYNOPSIS

void signal_delivered(struct ksignal * ksig, int stepping);

ARGUMENTS

ksig
    kernel signal struct

stepping
    nonzero if debugger single-step or block-step in use

DESCRIPTION

This function should be called when a signal has successfully been delivered. It updates the blocked signals accordingly (ksig->ka.sa.sa_mask is always blocked, and the signal itself is blocked unless SA_NODEFER is set in ksig->ka.sa.sa_flags. Tracing is notified.

COPYRIGHT